/*
 *
 *   Copyright (c) International Business Machines  Corp., 2000
 *
 *   This program is free software;  you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY;  without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program;  if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 *   Module: libaixregmgr.so
 *
 *   File: aix_dm.h
 */
#ifndef _AIX_DEV_MAPPER_HEADER_
#define _AIX_DEV_MAPPER_HEADER_ 1

int    		aix_activate_LV( storage_object_t *region );

int    		aix_deactivate_LV( storage_object_t *region );

int		aix_build_LV_targets( storage_object_t *region, dm_target_t **target_list );

int 		aix_compare_LV_targets( storage_object_t *region );

int 		aix_update_LV_devmap_info( storage_object_t *region );

int 		aix_update_VG_devmap_info( storage_container_t *container );

#endif

